tools

# Class: PlaLdapExporter

Source Location: /lib/export.inc

### Class Overview

    PlaAbstractExporter
       |
       --PlaLdapExporter

Export data from a ldap server

#### Author(s):

### Variables

- $attributes
- $entry_array
- $entry_id
- $hasNext
- $ldap_info
- $num_entries
- $queryFilter
- $results
- $scope

### Methods

- PlaLdapExporter
- pla_fetch_entry_array
- pla_fetch_entry_object
- pla_get_ldap_info
- pla_has_entry
- pla_num_entries

### Inherited Methods

#### Class: PlaAbstractExporter

PlaAbstractExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaAbstractExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaAbstractExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaAbstractExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaAbstractExporter::pla_num_entries()
  Return the number of entries

### Class Details

[line 252]
Export data from a ldap server

#### Tags:

extends: | PlaAbstractExporter

[ Top ]

### Class Variables

#### $attributes =

[line 261]

Type: | mixed

[ Top ]

#### $entry_array =

[line 256]

Type: | mixed

[ Top ]

#### $entry_id =

[line 253]

Type: | mixed

[ Top ]

#### $hasNext =

[line 260]

Type: | mixed

[ Top ]

#### $ldap_info =

[line 258]

Type: | mixed

[ Top ]

#### $num_entries =

[line 257]

Type: | mixed

[ Top ]

#### $queryFilter =

[line 259]

Type: | mixed

[ Top ]

#### $results =

[line 254]

Type: | mixed

[ Top ]

#### $scope =

[line 255]

Type: | mixed

[ Top ]

### Class Methods

### constructor PlaLdapExporter [line 268]

`PlaLdapExporter PlaLdapExporter( String $queryFilter, String $base_dn, String $scope, $attributes)`

Create a PlaLdapExporter object.

#### Parameters:

String | $queryFilter | the queryFilter for the export
String | $base_dn | the base_dn for the data to export
String | $scope | the scope for export
| $attributes |

[ Top ]

### method pla_fetch_entry_array [line 306]

`array pla_fetch_entry_array( )`

Return the entry as an array

#### Tags:

return: | an entry as an array

Overrides PlaAbstractExporter::pla_fetch_entry_array() (Return the entry as an array)
[ Top ]

### method pla_fetch_entry_object [line 314]

`Entry pla_fetch_entry_object( )`

Return the entry as an Entry object

#### Tags:

return: | an entry as an Entry Object

Overrides PlaAbstractExporter::pla_fetch_entry_object() (Return the entry as an Entry object)
[ Top ]

### method pla_get_ldap_info [line 322]

`LdapInfo pla_get_ldap_info( )`

Return a PlaLdapInfo Object

#### Tags:

return: | Object with info from the ldap serveur

Overrides PlaAbstractExporter::pla_get_ldap_info() (Return a PlaLdapInfo Object)
[ Top ]

### method pla_has_entry [line 338]

`bool pla_has_entry( )`

Return true if there is some more entries to be processed

#### Tags:

return: | if there is some more entries to be processed

Overrides PlaAbstractExporter::pla_has_entry() (Return true if there is some more entries to be processed)
[ Top ]

### method pla_num_entries [line 330]

`int pla_num_entries( )`

Return the number of entries

#### Tags:

return: | the number of entries to be exported

Overrides PlaAbstractExporter::pla_num_entries() (Return the number of entries)
[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:57 +0200 by phpDocumentor 1.4.1